﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Logging;
using WpfRcp.Core.Services;

namespace WpfRcp.Logging.EnterpriseLibrary
{
    public class EntLibLogEntry : ILogEntry
    {
        LogEntry m_logEntry;

        public EntLibLogEntry(LogEntry logEntry)
        {
            m_logEntry = logEntry;
        }

        public string Message { get { return m_logEntry.Message; } }
        public ICollection<string> Categories { get { return m_logEntry.Categories; } }
        public int Priority { get { return m_logEntry.Priority; } }
        public int EventId { get { return m_logEntry.EventId; } }
        public System.Diagnostics.TraceEventType Severity { get { return m_logEntry.Severity; } }
        public string Title { get { return m_logEntry.Title; } }
        public string MachineName { get { return m_logEntry.MachineName; } }
        public string ManagedThreadName { get { return m_logEntry.ManagedThreadName; } }
        public string Win32ThreadId { get { return m_logEntry.Win32ThreadId; } }
        public string AppDomainName { get { return m_logEntry.AppDomainName; } }
        public string ProcessId { get { return m_logEntry.ProcessId; } }
    }
}
