﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace WpfRcp.Core.Services.Commands
{
    public interface IMenuTab : INameBasedItem
    {
        string Text { get; set; }

        string Description { get; set; }

        object Icon { get; set; }

        int Position { get; set; }

        DependencyObject Visual { get; set; }

        event EventHandler VisualCreated;

        IMenuTab SetDescription(string description);

        IMenuTab SetIcon(object icon);

        IMenuTab SetPosition(int position);
    }
}
