﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using RCPApplication.UI.Views.Presenters;

namespace RCPApplication.UI.Views.Controls
{
    /// <summary>
    /// Interaction logic for AboutView.xaml
    /// </summary>
    public partial class AboutView : IAboutView
    {
        public AboutView(AboutViewPresentationModel presentationModel)
        {
            PresentationModel = presentationModel;
            PresentationModel.View = this;

            InitializeComponent();
        }

        public AboutViewPresentationModel PresentationModel
        {
            get { return (AboutViewPresentationModel)DataContext; }
            set { DataContext = value; }
        }
    }
}
