﻿//==============================================================================
// File: LoggerView.xaml.cs
// Created: 2010-09-17
// Author: Piotr Włodek
//==============================================================================
// This file is a part of MAMMOTH project.
// Copyright (C) 2010 AGH University of Science and Technology, Krakow.
// https://caribou.iisg.agh.edu.pl/trac/mammoth
//
// Mammoth is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Mammoth is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with Mammoth. If not, see http://www.gnu.org/licenses/.
//==============================================================================

using System;
using WpfRcp.Views.Presenters;
using WpfRcp.Views;

namespace WpfRcp.Logging.Log4Net.Controls
{
    /// <summary>
    /// Interaction logic for LogView.xaml
    /// </summary>
    public partial class Log4NetLoggerView : ILoggerView
    {
        public Log4NetLoggerView()
        {
            InitializeComponent();
        }

        public LoggerViewPresentationModel PresentationModel
        {
            get { return (LoggerViewPresentationModel) DataContext; }
            set { DataContext = value; }
        }
    }
}
