﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfRcp.Core.Services.Commands
{
    public interface IMenuRegistry
    {
        IMenuItemTabCollection MenuItemTabs { get; }

        IMenuItemCollection MenuItems { get; }

        IMenuItemGroupCollection MenuItemGroups { get; }

        IMenuTab RegisterMenuTab(string name);

        IMenuItem RegisterMenuItem(string name, string groupName, string commandName);
        IMenuItem RegisterMenuItem(string name, string groupName, string commandName, object icon);

        IMenuItemGroup RegisterMenuItemGroup(string name, string tabName);

        void Run();
    }
}
